Bug 594806 - Review Request: jBCrypt - Strong password hashing for Java
Summary: Review Request: jBCrypt - Strong password hashing for Java
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 16:36 UTC by Sebastian Dziallas
Modified: 2010-06-23 14:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 14:57:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Sebastian Dziallas 2010-05-21 16:36:04 UTC
Spec URL: http://sdz.fedorapeople.org/etherpad/jbcrypt.spec
SRPM URL: http://sdz.fedorapeople.org/etherpad/jbcrypt-0.3-1.fc12.src.rpm
Description: This package is needed for the effort of packaging Etherpad.

Comment 1 Stanislav Ochotnicky 2010-06-08 12:05:49 UTC
I will do the review. Before starting official review though, I have one question:

Was it really your intention to package java file inside jar? I assume you meant to package .class file. Please fix this before we go any further (quick rpmlint was clean though)

Comment 2 Sebastian Dziallas 2010-06-09 16:25:42 UTC
You're obviously right! Fixing that right now. Sorry for that stupid thing and thanks for catching it! :)

Comment 3 Sebastian Dziallas 2010-06-11 12:48:30 UTC
I'll do this over the weekend, since I'm travelling right now and will have to get back to my other machine.

Comment 4 Sebastian Dziallas 2010-06-17 17:50:30 UTC
Heh, turns out that this was way easier than I expected it to be. Sorry for the delay. Here are the updated files:

Spec URL: http://sdz.fedorapeople.org/rpmbuild/jbcrypt.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/jbcrypt-0.3-2.fc13.src.rpm

Comment 5 Stanislav Ochotnicky 2010-06-18 06:56:09 UTC
It's your review. You only delayed yourself :-)


Package is nice and clean. APPROVED

Comment 6 Stanislav Ochotnicky 2010-06-18 06:57:39 UTC
Just for the record: rpmlint produced no warnings/errors.

Comment 7 Sebastian Dziallas 2010-06-19 15:45:33 UTC
New Package CVS Request
=======================
Package Name: jbcrypt
Short Description: Strong password hashing for Java
Owners: sdz
Branches: F-12 F-13

Comment 8 Sebastian Dziallas 2010-06-19 15:46:16 UTC
Thanks again for the quick review, this is awesome! :)

(mhm, now I'm curious how far we get with etherpad)

Comment 9 Kevin Fenzi 2010-06-21 02:14:18 UTC
Shouldn't this be named "jBCrypt" to match the case of the upstream project?

Possibly you could run the TestBCrypt in %check section?

Comment 10 Stanislav Ochotnicky 2010-06-21 06:38:47 UTC
(In reply to comment #9)
> Shouldn't this be named "jBCrypt" to match the case of the upstream project?
> 

From packaging guidelines on naming:
While case sensitivity is not a mandatory requirement, case should only be used where necessary. Keep in mind to respect the wishes of the upstream maintainers. If they refer to their application as "ORBit", you should use "ORBit" as the package name, and not "orbit". However, if they do not express any preference of case, you should default to lowercase naming.


Upstream uses jBCrypt, but I am not sure how much they care about the case. Now that I think about it I am leaning more towards jBCrypt too, but I would leave it up to packager.


> Possibly you could run the TestBCrypt in %check section?    

This is definitely a good idea, should have noticed too.


Sebastian? I suppose you don't mind the naming that much...so one more release number with changed name and test run?

Comment 11 Sebastian Dziallas 2010-06-22 13:38:54 UTC
(In reply to comment #10)
> Sebastian? I suppose you don't mind the naming that much...so one more release
> number with changed name and test run?    

I can't exactly recall why I used lowercase-only letters in the first place, so yes, I'm more than alright with changing it. It's also compiling the test cases now. :)

Spec URL: http://sdz.fedorapeople.org/rpmbuild/jBCrypt.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/jBCrypt-0.3-3.fc13.src.rpm

Comment 12 Sebastian Dziallas 2010-06-22 13:39:44 UTC
New Package CVS Request
=======================
Package Name: jBCrypt
Short Description: Strong password hashing for Java
Owners: sdz
Branches: F-12 F-13

Comment 13 Kevin Fenzi 2010-06-23 01:46:40 UTC
CVS done (by process-cvs-requests.py).

Comment 14 Sebastian Dziallas 2010-06-23 14:57:18 UTC
Built in Rawhide and being queued for updates soon. Thanks again!


Note You need to log in before you can comment on or make changes to this bug.